TT User Setup

7.4.40.15

Released: Jan 22, 2014 File Size: 0
Package Contents:
No notes available.

Important Notes

This release does not support versions of X_TRADER® prior to 7.9.4.0 or versions of X_RISK® prior to 7.5.5.0. Users will not be able to log into unsupported versions of X_TRADER® or X_RISK® after installing TT User Setup 7.4.40

Why Should I Upgrade?

This release introduces support for TT Update and X_TRADER's Order Passing feature.
  • TT Update: TT Update provides software updates to supported TT applications (currently X_TRADER® 7.17.10, X_RISK 7.17.10, TT User Setup 7.4.40, and TT User Setup 7.17.20 and higher). This eliminates the need for customers to repackage client software when new versions of the supported applications are released.

    Once end users have installed TT Update on their X_TRADER® or X_RISK workstations, TT User Setup administrators can create version rules that determine which TT software updates are available to their users. Once TT User Setup administrators have installed TT Update on their TT User Setup client workstations, TT Update also automatically updates TT User Setup clients to a version that matches the TT User Setup server. For more information about TT Update, refer to the TT Update Help. For information about setting Version Rules, refer to the Using Version Control Rules topic of the TT User Setup Help.

  • Order Passing: The Order Passing feature allows members of one user group to pass one or more orders to members of another user group. For more information about Order Passing in X_TRADER®, refer to the X_TRADER Help. For information about configuring user groups to pass orders, refer to the User Group Administration topic in the TT User Setup Help.

System Requirements

This release introduces support for TT Update and X_TRADER's Order Passing feature.
  • TT Update: TT Update provides software updates to supported TT applications (currently X_TRADER® 7.17.10, X_RISK 7.17.10, TT User Setup 7.4.40, and TT User Setup 7.17.20 and higher). This eliminates the need for customers to repackage client software when new versions of the supported applications are released.

    Once end users have installed TT Update on their X_TRADER® or X_RISK workstations, TT User Setup administrators can create version rules that determine which TT software updates are available to their users. Once TT User Setup administrators have installed TT Update on their TT User Setup client workstations, TT Update also automatically updates TT User Setup clients to a version that matches the TT User Setup server. For more information about TT Update, refer to the TT Update Help. For information about setting Version Rules, refer to the Using Version Control Rules topic of the TT User Setup Help.

  • Order Passing: The Order Passing feature allows members of one user group to pass one or more orders to members of another user group. For more information about Order Passing in X_TRADER®, refer to the X_TRADER Help. For information about configuring user groups to pass orders, refer to the User Group Administration topic in the TT User Setup Help.

Installation Notes

When TT Update is installed on the TT User Setup client workstation (which is recommended), TT Update will automatically update the TT User Setup client to match the TT User Setup server. When TT Update is not installed on the TT User Setup client workstation, you must manually install a supported TT User Setup client. The TT User Setup 7.4.40 server is ONLY compatible with TT User Setup 7.4.8 through 7.4.40 clients. The TT User Setup 7.4.40 client is not compatible with pre-7.4.40 TT User Setup servers.

To use the latest features, you should use the latest version of the client and server. For more information about TT Update, refer to the TT Update Help. For more information about installing TT User Setup, refer to the TT User Setup System Administration Online Help.

Note: TT User Setup no longer supports the Must be greater than and Must be less than options, but has added a Must be between option. When upgrading to this version, version rules that used the Must be greater than option will be converted to Must be greater than or equal to, and version rules that used the Must be less than option will be converted to Must be less than or equal to. Because of the updates, only TT User Setup clients 7.4.40 and later can edit version rules.

Enhancements

  1. General
    1. Added support for X_TRADER's Order Passing feature, which is available in X_TRADER® 7.17.10 and later. The Order Passing feature allows members of one user group to pass one or more orders to members of another user group. For more information about Order Passing in X_TRADER®, refer to the X_TRADER Help. For information about configuring user groups to pass orders, refer to the User Group Administration topic in the TT User Setup Help. (Ref 225991)

  2. Installation
    1. Added support for TT Update. TT Update is supported with TT User Setup 7.4.40, TT User Setup 7.17.20, X_TRADER® 7.17.10, and X_RISK 7.17.10 and higher. With TT Update installed on client workstations, TT User Setup administrators can create version rules that determine which TT software versions are available to their users. Once TT User Setup administrators have installed TT Update on their TT User Setup client workstations, TT Update also automatically updates TT User Setup clients to a version that matches the TT User Setup server. For more information about TT Update, refer to the TT Update Help. For information about setting Version Rules, refer to the Using Version Control Rules topic of the TT User Setup Help. (Ref 225784)

  3. Users
    1. Added support for the OSE Product Group Permissions. (Ref 226461)

  4. Version Control
    1. When configuring version rules, the Must be greater than and Must be less than options are no longer available. When upgrading to 7.4.40, if you have a version rule that uses the Must be greater than option, it will be converted to Must be greater than or equal to. If you have a version rule that uses the Must be less than option, it will be converted to Must be less than or equal to. Because of the updates, only TT User Setup clients 7.4.40 and later can edit version rules. (Ref 225752)

Fixes

  1. Client
    1. Fixed an issue where special characters were allowed in the Gateway Login Member/Group/Trader IDs. These fields are now only allowed to use alphanumeric characters A-Z and 0-9. (Ref 226640)

Known Issues

  1. Users
    1. An issue was discovered that makes the Generate Admin Gateway Logins for all Gateways feature incompatible with X_TRADER® and X_RISK®. Administrative users that are configured with Generated logins cannot delete orders, and the administrative user's username does not appear correctly in X_RISK®. When using TT User Setup, administrators should manually create and add gateway logins to X_TRADER® and X_RISK® users. This issue is addressed in TT User Setup 7.17. (Ref 207706)